<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="view"
            type="it.integry.integrywmsnative.view.dialogs.base.DialogSimpleInputHelper" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="16dp">



        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/general_input_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:focusableInTouchMode="false"
            android:imeOptions="actionDone"
            android:layout_marginTop="8dp">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/general_input_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:selectAllOnFocus="true"
                app:binding="@{view.inputValue}" />

        </com.google.android.material.textfield.TextInputLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>